Project

Profile

Help

Issue #1770

closed

SELinux deprecation warnings on Rawhide when building the Pulp policy

Added by rbarlow almost 7 years ago. Updated almost 4 years ago.

Status:
CLOSED - WONTFIX
Priority:
Normal
Assignee:
-
Category:
-
Sprint/Milestone:
-
Start date:
Due date:
Estimated time:
Severity:
1. Low
Version:
Platform Release:
OS:
Fedora Rawhide
Triaged:
Yes
Groomed:
No
Sprint Candidate:
No
Tags:
Pulp 2, SELinux
Sprint:
Quarter:

Description

When building our Pulp SELinux policies on my Rawhide box, I see a few deprecation warnings in the output:

$ make -f /usr/share/selinux/devel/Makefile
Compiling targeted pulp-server module
/usr/bin/checkmodule:  loading policy configuration from tmp/pulp-server.tmp
/usr/bin/checkmodule:  policy configuration loaded
/usr/bin/checkmodule:  writing binary representation (version 17) to tmp/pulp-server.tmp
Creating targeted pulp-server.pp policy package
Compiling targeted pulp-streamer module
/usr/bin/checkmodule:  loading policy configuration from tmp/pulp-streamer.tmp
/usr/bin/checkmodule:  policy configuration loaded
/usr/bin/checkmodule:  writing binary representation (version 17) to tmp/pulp-streamer.tmp
Creating targeted pulp-streamer.pp policy package
Compiling targeted pulp-celery module
pulp-celery.te:119: Warning: miscfiles_manage_cert_dirs() has been deprecated, please use miscfiles_manage_generic_cert_dirs() instead.
/usr/bin/checkmodule:  loading policy configuration from tmp/pulp-celery.tmp
/usr/bin/checkmodule:  policy configuration loaded
/usr/bin/checkmodule:  writing binary representation (version 17) to tmp/pulp-celery.tmp
Creating targeted pulp-celery.pp policy package
rm tmp/pulp-server.mod.fc tmp/pulp-streamer.mod.fc tmp/pulp-streamer.mod tmp/pulp-celery.mod.fc tmp/pulp-celery.mod tmp/pulp-server.mod

Also available in: Atom PDF